will there be an opensuse one-click-install page for kde 4.6.1?

as it says in the title

thanks

Why
Just add the repo and switch
This assumes you use 11.4, change as necessary

as su -

zypper ar -f http://download.opensuse.org/repositories/KDE:/Release:/46/openSUSE_11.4/ kde46
zypper ref

(a) to accept

zypper dup -r kde46

or close the terminal and do like this
http://dl.dropbox.com/u/10573557/Switcher%20Pics/package%20switch%20kde.png

As an addition, it may be a good idea to do the same with the Packman repo afterwards.

That’s a given
Thank you for mentioning :smiley:

i have done the three konsole commands above, and appeared to get the appropriate.

but what now?

dolphin still says it is 4.6.0.

and a search in yast reveals no 4.6.1 packages that can be installed…

cheers

You need to reboot or logout and in

Are you sure you did as directed, check the package switch option

What version of openSUSE are you using?

nope, because it was presented as an alternative to the command line stuff.
/
having opened yast, which sub-yast option gets me to the page in the image?

when i try the software management page i get the following:

There was an error in the repository initialization.
|] Valid metadata not found at specified URL(s)
History:

  • |] Repository type can’t be determined.

Please open a terminal and post result of

zypper lr -d

cheers. :slight_smile:

:~> zypper lr -d

| Alias | Name | Enabled | Refresh | Priority | Type | URI | Service

—±---------------------------------±---------------------------------±--------±--------±---------±-------±---------------------------------------------------------------------------------------------±-------
1 | KDE:KDE3 | KDE:KDE3 | Yes | Yes | 99 | rpm-md | Index of /repositories/KDE:/KDE3/openSUSE_11.4 |
2 | Packman Repository | Packman Repository | Yes | Yes | 99 | rpm-md | Index of /suse/openSUSE_11.4/ |
3 | Updates-for-openSUSE-11.4-11.4-0 | Updates for openSUSE 11.4 11.4-0 | Yes | Yes | 99 | rpm-md | Index of /update/11.4 |
4 | games | games | Yes | Yes | 99 | rpm-md | Index of /repositories/games/openSUSE_11.4 |
5 | kde46 | kde46 | Yes | Yes | 99 | NONE | http://download.opensuse.org/repositories/KDE:/Release:/46/opensuse_11.4/ |
6 | libdvdcss repository | libdvdcss repository | Yes | Yes | 99 | rpm-md | http://opensuse-guide.org/repo/11.4/ |
7 | openSUSE-11.4-11.4-0 | openSUSE-11.4-11.4-0 | Yes | No | 99 | yast2 | cd:///?devices=/dev/disk/by-id/usb-HL-DT-ST_DVDRAM_GP08NU6B_HitachLGda000000200-0:0,/dev/sr0 |
8 | repo-debug | openSUSE-11.4-Debug | No | Yes | 99 | NONE | Index of /debug/distribution/11.4/repo/oss |
9 | repo-debug-update | openSUSE-11.4-Update-Debug | No | Yes | 99 | NONE | Index of /debug/update/11.4 |
10 | repo-non-oss | openSUSE-11.4-Non-Oss | Yes | Yes | 99 | yast2 | Index of /distribution/11.4/repo/non-oss |
11 | repo-oss | openSUSE-11.4-Oss | Yes | Yes | 99 | yast2 | Index of /distribution/11.4/repo/oss |
12 | repo-source | openSUSE-11.4-Source | No | Yes | 99 | NONE | Index of /source/distribution/11.4/repo/oss |

This URL is wrong. It has to be:

http://download.opensuse.org/repositories/KDE:/Release:/46/openSUSE_11.4/

(‘… openSUSE …’ and not ‘… opensuse …’).

You can easily change it in YaST’s ‘Software Repositories’. (Zypper is of course an option as well.)

Any recommendation for the KDE 46 repo priority?

Default 99

cheers, fixed that, run kpackagekit and yast to see if it picks up any updates (it doesn’t), restarted the netbook and still have 4.6.1…

cheers.

edit, that should read 4.6.0.

i don’t appear to have a YAST page that looks like that, whgich one is it?

11.4 32bit

cheers

In the top left there is a drop-down menu. From this, select ‘Repositories’. This will give your the ‘Repositories’ tab.

Then do what caf4926’s screenshot shows with the kde46 repository (and afterwards with Packman). If this does not give you any conflicts, accept & install.

Unless you are currently using the gnome interface
This is how gnome Yast looks (but this is showing packman switch) http://dl.dropbox.com/u/10573557/Switcher%20Pics/packman%20in%20gnome.png

This video might help you understand if you are confused about the tabs
http://dl.dropbox.com/u/10573557/packman-switch.mpeg

actually, this what my yast looks like:

http://i.imgur.com/PNHwX.png

http://i.imgur.com/bMni5.png

I’m quite prepared to be corrected on this, but it seems to me that the repo you have at the top of the list (for KDE3) is not needed (openUSE 11.4 comes with KDE 4.6 as standard). So it might be causing a problem. I would try disabling it or maybe even deleting it altogether.

Those images are in software repositories
Not software management

Use kde3 in 11.4 is in My opinion a bad idea.